import * as $dara from '@darabonba/typescript';
import { EnableVpcIpv4GatewayResponseBody } from "./EnableVpcIpv4gatewayResponseBody";
export declare class EnableVpcIpv4GatewayResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: EnableVpcIpv4GatewayResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
